#!/usr/bin/env python3

############################################################################
#Script Name    : S001001_kernel_version.py
#Description    : Sript for checking kernel version
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys
import unittest
class TestKernelVersion(unittest.TestCase):

    def test_kernel_ver_read(self):
        names = os.uname().release.rsplit('.', 1)[0]
        self.assertEqual(names, '5.15')

if __name__ == '__main__':
    unittest.main()
