#!/usr/bin/env python3

############################################################################
#Script Name    : S002001_ubuntu_version.py
#Description    : Sript for checking Ubuntu version
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys, pathlib
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    return ret

class TestYoctoVersion(unittest.TestCase):

    def test_yocto_version_check(self):
        ret = runcmd(["lsb_release -sr"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout, '22.04\n')



if __name__ == '__main__':

    unittest.main()
