#!/usr/bin/env python3

############################################################################
#Script Name    : S006001_gst_v4l2convert_support.py
#Description    : Sript for testing Gstreamer v4l2convert support
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys, pathlib
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8",timeout=5)
    return ret
    
class TestGstV4l2CvtSupport(unittest.TestCase):
            
    def test_v4l2convert_existed(self):
        ret = runcmd(["gst-inspect-1.0 | grep v4l2convert"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split('\n')[-2].split(':')[1].split()[0], 'v4l2convert')
if __name__ == '__main__':
    
    unittest.main()
