#!/usr/bin/env python3

############################################################################
#Script Name    : S010002_display_interface_HDMI.py
#Description    : Sript for checking HDMI is connected
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    return ret

class TestHDMI(unittest.TestCase):

    def test_check_HDMI_interface(self):
        ret = runcmd(["ls /sys/class/drm/"])
        self.assertEqual(ret.returncode, 0)
        self.assertIn('HDMI', ret.stdout.split('-'))

if __name__ == '__main__':
    unittest.main()
    
    
